## org.eclipse.jst.jsf.designtime.symbols
Class DefaultBuiltInSymbolProvider

    java.lang.Object
      org.eclipse.jst.jsf.designtime.symbols.DefaultBuiltInSymbolProvider

    public class DefaultBuiltInSymbolProvider

extends java.lang.Object

Provides the default built-in JSF symbols Clients may sub-class

Method Summary
`static DefaultBuiltInSymbolProvider` `getInstance()`
`ISymbol` `getSymbol(java.lang.String name, IAdaptable context, int symbolScopeMask)`
`ISymbol[]` `getSymbols(IAdaptable context, int symbolScopeMask)`
`ISymbol[]` `getSymbols(java.lang.String prefix, IAdaptable context, int symbolScopeMask)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DefaultBuiltInSymbolProvider getInstance()

  Returns:
    the singleton instance

### getSymbols

    public ISymbol[] getSymbols(IAdaptable context,
                                int symbolScopeMask)

  Parameters:
    `context` -
    `symbolScopeMask` -
  Returns:
    all symbols for context in scopes matching symbolScopeMask

### getSymbol

    public ISymbol getSymbol(java.lang.String name,
                             IAdaptable context,
                             int symbolScopeMask)

  Parameters:
    `name` -
    `context` -
    `symbolScopeMask` -
  Returns:
    the symbol in context matching name or null if not found

### getSymbols

    public ISymbol[] getSymbols(java.lang.String prefix,
                                IAdaptable context,
                                int symbolScopeMask)

  Parameters:
    `prefix` -
    `context` -
    `symbolScopeMask` -
  Returns:
    all implicit symbols for context starting with prefix in scopes matching symbolScopeMask